Home » Java » java – Which version of JDK and which version of OpenJFX I should use in order to be able to work with WebGL?-Exceptionshub

java – Which version of JDK and which version of OpenJFX I should use in order to be able to work with WebGL?-Exceptionshub

Posted by: admin February 25, 2020 Leave a comment

Questions:

I’m trying to load into javafx.scene.web.WebView a web application with some WebGL invocation in it. I’m aware that WebGL was not a thing till the JavaFX 13 and was very excited to learn that it’s finally got supported, however what I see personally contradicts to what I find about this issue in the internet.

With following JVM:

  • /Library/Java/JavaVirtualMachines/adoptopenjdk-13.jdk/Contents/Home

with java version 13.0.2

and with following openjfx artifacts (version 13) https://mvnrepository.com/artifact/org.openjfx I’m still failing to see WebGL-powered content.

It’s also worth to mentions that searching github for relevant projects doesn’t help either.

How to&Answers: